2014-12-04 38 views
0

我有一個使用CocoaPods作爲依賴管理器的項目。在這個項目中,我們有2個git子模塊並使用pod來管理這些子模塊,Podfile看起來像這樣;可可豆使用私有豆莢 - 錯誤#import文件

platform :ios, '7.0' 
source 'https://github.com/CocoaPods/Specs.git' 

inhibit_all_warnings! 

pod 'WHCore', :path => 'Native SDK/WHCore' 
pod 'WHUICommon', :path => 'Native SDK/WHUICommon' 

這個偉大的工程,並建立正常,但是聲明#進口時,它未能找到該文件夾​​。

我該如何使這種導入工作?

+0

你運行過'pods update'嗎? – Daniel 2014-12-04 15:41:43

+0

是的,我運行pod更新並安裝所有必需的依賴關係。 – 2014-12-04 15:42:42

+0

你確定你打開了工作區而不是項目文件(一直髮生在我身上)。我的意思是在你的iOS項目。 – Daniel 2014-12-04 15:44:25

回答

0

我找到了答案;

僅供參考,每個吊艙的spec文件中的s.source是不正確的。

解決了這些問題。